#!/bin/sh

# -bpython		: Pythonコンポーネントコード生成プログラム
# -bvcproject		: VC++プロジェクトファイル生成プログラム
# -bcxx			: C++コンポーネントコード生成プログラム
#
# --module-name		: モジュール名
# --module-desc		: モジュールの説明
# --module-version	: モジュールのバージョン
# --module-vendor	: モジュールのベンダ
# --module-category	: モジュールのカテゴリ
# --module-comp-type	: コンポーネントの型
# --module-act-type	: アクティビティタイプ
# --module-max-inst	: コンポネントインスタンスの最大数
#
# --inport		: 入力ポート定義
# --outport		: 出力ポート定義
# --service-idl		: サービスプロバイダIDLパス
# --service		: サービスプロバイダ定義
# --consumer-idl	: サービスコンシューマIDLパス
# --consumer		: サービスプロバイダ定義
# --config		: コンフィグレーションセット定義

rtc-template -bcxx \
	--module-name=CoordinateTransformation \
	--module-desc='Coordinate Transformation' \
	--module-version=1.0.0 \
	--module-vendor=IRS \
	--module-category=Position \
	--module-comp-type=DataFlowComponent \
	--module-act-type=SPORADIC \
	--module-max-inst=10 \
	--inport=InJgd2000Position:TimedJgd2000Position \
	--inport=In19Position:Timed19Position \
	--inport=InRobotPosition:TimedRobotPosition \
	--outport=OutJgd2000Position:TimedJgd2000Position \
	--outport=Out19Position:Timed19Position \
	--outport=OutRobotPosition:TimedRobotPosition \
	--consumer-idl=irs.idl \
	--config=01_inputdatatype:std::string:jgd2000 \
	--config=02_19number:unsigned\ int:5 \
	--config=03_19originx:double:-148161.432 \
	--config=04_19originy:double:80876.888 \
	--config=05_19origintheta:double:26.83225571
